com.google.gwt.user.cellview.client

## Class TextColumn<T>

- java.lang.Object
- - com.google.gwt.user.cellview.client.Column<T,java.lang.String>
  - - com.google.gwt.user.cellview.client.TextColumn<T>

Type Parameters:
  `T` - the row type

All Implemented Interfaces:
  HasCell<T,java.lang.String>, HasAlignment, HasHorizontalAlignment, HasVerticalAlignment

    public abstract class TextColumn<T>
    extends Column<T,java.lang.String>

A column that displays its contents with a `TextCell` and does not make use of view data.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment

`HasHorizontalAlignment.AutoHorizontalAlignmentConstant, HasHorizontalAlignment.HorizontalAlignmentConstant`

### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment

`HasVerticalAlignment.VerticalAlignmentConstant`

### Field Summary

### Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment

`ALIGN_CENTER, ALIGN_DEFAULT, ALIGN_JUSTIFY, ALIGN_LEFT, ALIGN_LOCALE_END, ALIGN_LOCALE_START, ALIGN_RIGHT`

### Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment

`ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

### Constructor Summary

Constructors
Constructor and Description
`TextColumn()` Construct a new TextColumn.

### Method Summary

### Methods inherited from class com.google.gwt.user.cellview.client.Column

`getCell, getCellStyleNames, getDataStoreName, getFieldUpdater, getHorizontalAlignment, getValue, getVerticalAlignment, isDefaultSortAscending, isSortable, onBrowserEvent, render, setCellStyleNames, setDataStoreName, setDefaultSortAscending, setFieldUpdater, setHorizontalAlignment, setSortable, setVerticalAlignment`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextColumn

    public TextColumn()

Construct a new TextColumn.